<?xml version= "1.0" encoding= "UTF-8"?>
<resources>
    <!-- Shootingmode -->
    <local name="SHOOTING_MODE_LIVE_FOCUS" back="LIVE_FOCUS" front="SELFIE_FOCUS" enable="true" more="false" order="1"/>
    <local name="SHOOTING_MODE_PHOTO" back="PHOTO" front="PHOTO" enable="true" more="false" order="2"/>
    <local name="SHOOTING_MODE_VIDEO" back="VIDEO" front="VIDEO" enable="true" more="false" order="3"/>

    <local name="SHOOTING_MODE_EXPERT_RAW" back="EXPERT_RAW" enable="false" more="true" order="1"/>
    <local name="SHOOTING_MODE_PRO" back="PRO" enable="true" more="true" order="2"/>
    <local name="SHOOTING_MODE_PRO_VIDEO" back="PRO_VIDEO" enable="true" more="true" order="3"/>
    <local name="SHOOTING_MODE_NIGHT" back="NIGHT" front="NIGHT" enable="true" more="true" order="4"/>
    <local name="SHOOTING_MODE_FOOD" back="FOOD" enable="true" more="true" order="5"/>
    <local name="SHOOTING_MODE_PANORAMA" back="PANORAMA" enable="true" more="true" order="6" preview-size="1920x1080" capture-size="4032x3024"/>
    <local name="SHOOTING_MODE_SUPER_SLOW_MOTION" back="SUPER_SLOW_MOTION" enable="true" more="true" order="7" preview-size="1280x720" capture-size="1280x720"/>
    <local name="SHOOTING_MODE_SLOW_MOTION" back="SLOW_MOTION" front="SLOW_MOTION" enable="true" more="true" order="8" preview-size="1920x1080" capture-size="1920x1080"/>
    <local name="SHOOTING_MODE_HYPER_LAPSE" back="HYPER_LAPSE" front="HYPER_LAPSE" enable="true" more="true" order="9" preview-size="1920x1080" capture-size="1920x1080"/>
    <local name="SHOOTING_MODE_LIVE_FOCUS_VIDEO" back="LIVE_FOCUS_VIDEO" front="LIVE_FOCUS_VIDEO" enable="true" more="true" order="10" preview-size="1920x1080" capture-size="1920x1080"/>
    <local name="SHOOTING_MODE_DUAL_RECORDING" back="DUAL_RECORDING" front="DUAL_RECORDING" enable="true" more="true" order="11" preview-size="1920x1080" capture-size="1920x1080"/>
    <local name="SHOOTING_MODE_SINGLE_TAKE_PHOTO" back="SINGLE_TAKE_PHOTO" front="SINGLE_TAKE_PHOTO" enable="true" more="true" order="12" preview-size="1440x1080"/>
    <local name="SHOOTING_MODE_QR" back="QR" enable="true" more="false" order="100" preview-size="2400x1080"/>

    <!-- Capture resolution - BACK -->
    <local name="BACK_CAMERA_RESOLUTION_FULL_RATIO" value="3792x3024" />
    <local name="BACK_CAMERA_RESOLUTION_SUB_FULL_RATIO" value="4032x1456" />
    <local name="BACK_CAMERA_RESOLUTION_16BY9_LARGE" value="4032x2268" />
    <local name="BACK_CAMERA_RESOLUTION_4BY3_LARGE" value="4032x3024" />
    <local name="BACK_CAMERA_RESOLUTION_1BY1_LARGE" value="3024x3024" />
    <local name="BACK_CAMERA_PICTURE_DEFAULT_RESOLUTION" value="4032x3024" />

    <!-- Back wide camera resolution -->
    <local name="BACK_WIDE_CAMERA_RESOLUTION_FULL_RATIO" value="3760x3000"/>
    <local name="BACK_WIDE_CAMERA_RESOLUTION_SUB_FULL_RATIO" value="4000x1440"/>
    <local name="BACK_WIDE_CAMERA_RESOLUTION_16BY9_LARGE" value="4000x2252"/>
    <local name="BACK_WIDE_CAMERA_RESOLUTION_4BY3_LARGE" value="4000x3000"/>
    <local name="BACK_WIDE_CAMERA_RESOLUTION_1BY1_LARGE" value="2992x2992"/>

    <!-- Back Camera Second picture resolution -->
    <local name="BACK_CAMERA_SECOND_PICTURE_RESOLUTION_FULL_RATIO" value="3760x3000"/>
    <local name="BACK_CAMERA_SECOND_PICTURE_RESOLUTION_SUB_FULL_RATIO" value="4000x1440"/>
    <local name="BACK_CAMERA_SECOND_PICTURE_RESOLUTION_16BY9" value="4000x2252"/>
    <local name="BACK_CAMERA_SECOND_PICTURE_RESOLUTION_4BY3" value="4000x3000"/>
    <local name="BACK_CAMERA_SECOND_PICTURE_RESOLUTION_1BY1" value="2992x2992"/>

    <!-- Capture resolution - FRONT -->
    <local name="FRONT_CAMERA_RESOLUTION_FULL_RATIO" value="3424x2736" />
    <local name="FRONT_CAMERA_RESOLUTION_SUB_FULL_RATIO" value="3968x1436" />
    <local name="FRONT_CAMERA_RESOLUTION_16BY9_LARGE" value="3968x2232" />
    <local name="FRONT_CAMERA_RESOLUTION_4BY3_LARGE" value="3648x2736" />
    <local name="FRONT_CAMERA_RESOLUTION_1BY1_LARGE" value="2736x2736" />
    <local name="FRONT_CAMERA_PICTURE_DEFAULT_RESOLUTION" value="3648x2736" />

    <!-- Front camera sensor crop resolution -->
    <local name="FRONT_CAMERA_SENSOR_CROP_RESOLUTION_FULL_RATIO" value="2768x2208"/>
    <local name="FRONT_CAMERA_SENSOR_CROP_RESOLUTION_SUB_FULL_RATIO" value="3216x1164"/>
    <local name="FRONT_CAMERA_SENSOR_CROP_RESOLUTION_16BY9_LARGE" value="3216x1808"/>
    <local name="FRONT_CAMERA_SENSOR_CROP_RESOLUTION_4BY3_LARGE" value="2944x2208"/>
    <local name="FRONT_CAMERA_SENSOR_CROP_RESOLUTION_1BY1_LARGE" value="2208x2208"/>

    <!-- Recording resolution - BACK -->
    <local name="BACK_CAMERA_RECORDING_DEFAULT_RESOLUTION" value="1920x1080"/>
    <local name="BACK_CAMERA_RECORDING_MIN_RESOLUTION" value="1280x720"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_3840X2160" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4032x2268" vdis="true" super-vdis="false" effect="false" object-tracking="true" seamless-zoom-support="true" external-storage-support="true" touch-af="true" supported-mode="video,pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_3840X2160_60FPS" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="4032x2268" vdis="true" super-vdis="false" effect="false" object-tracking="false" seamless-zoom-support="false" external-storage-support="false" touch-af="true" supported-mode="video,pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X1440" value="false" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4000x3000" vdis="true" super-vdis="true" effect="true" object-tracking="true" seamless-zoom-support="true" external-storage-support="true" touch-af="true" supported-mode="video,pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X1080" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4032x2268" vdis="true" super-vdis="true" effect="true" object-tracking="true" seamless-zoom-support="true" external-storage-support="true" touch-af="true" supported-mode="video,pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X1080_60FPS" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="4032x2268" vdis="true" super-vdis="false" effect="false" object-tracking="true" seamless-zoom-support="false" external-storage-support="true" touch-af="true" supported-mode="video,pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1440X1440" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="3024x3024" vdis="true" super-vdis="false" effect="true" object-tracking="true" seamless-zoom-support="true" external-storage-support="true" touch-af="true" supported-mode="video,pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1440X1152" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="3792x3024" vdis="true" super-vdis="false" effect="true" object-tracking="true" seamless-zoom-support="true" external-storage-support="true" touch-af="true" supported-mode="video,pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_2000X720" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4032x1456" vdis="true" super-vdis="false" effect="true" object-tracking="true" seamless-zoom-support="true" external-storage-support="true" touch-af="true" supported-mode="video,pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1280X720" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4032x2268" vdis="true" super-vdis="false" effect="true" object-tracking="true" seamless-zoom-support="true" external-storage-support="true" touch-af="true" supported-mode="video,pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_640X480" value="false" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4032x3024" vdis="false" super-vdis="false" effect="true" object-tracking="true" seamless-zoom-support="true" external-storage-support="true" touch-af="true" supported-mode="video,pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_176X144" value="true"/>

    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_3840X1644_24FPS" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4032x1728" vdis="true" super-vdis="false" effect="false" object-tracking="true" seamless-zoom-support="false" external-storage-support="false" supported-mode="pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_3840X1644" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4032x1728" vdis="true" super-vdis="false" effect="false" object-tracking="true" seamless-zoom-support="false" external-storage-support="false" supported-mode="pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_3840X1644_60FPS" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="4032x1728" vdis="true" super-vdis="false" effect="false" object-tracking="false" seamless-zoom-support="false" external-storage-support="false" supported-mode="pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_3840X2160_24FPS" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4032x2268" vdis="true" super-vdis="false" effect="false" object-tracking="true" seamless-zoom-support="false" external-storage-support="false" supported-mode="pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X824_24FPS" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4032x1728" vdis="true" super-vdis="false" effect="true" object-tracking="true" seamless-zoom-support="false" external-storage-support="true" supported-mode="pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X824" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4032x1728" vdis="true" super-vdis="false" effect="true" object-tracking="true" seamless-zoom-support="false" external-storage-support="true" supported-mode="pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X824_60FPS" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="4032x1728" vdis="true" super-vdis="false" effect="false" object-tracking="true" seamless-zoom-support="false" external-storage-support="true" supported-mode="pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X824_120FPS" value="true" hdr="true" hdr10="false" snapshot-support="false" snapshot-size="4032x1728" vdis="false" super-vdis="false" effect="false" object-tracking="false" seamless-zoom-support="false" external-storage-support="true" supported-mode="pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X1080_24FPS" value="true" hdr="true" hdr10="true" snapshot-support="true" snapshot-size="4032x2268" vdis="true" super-vdis="false" effect="true" object-tracking="true" seamless-zoom-support="false" external-storage-support="true" supported-mode="pro_video"/>
    <local name="BACK_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X1080_120FPS" value="true" hdr="true" hdr10="false" snapshot-support="false" snapshot-size="4032x2268" vdis="false" super-vdis="false" effect="false" object-tracking="false" seamless-zoom-support="false" external-storage-support="true" supported-mode="pro_video"/>

    <!-- Recording resolution - FRONT -->
    <local name="FRONT_CAMERA_RECORDING_DEFAULT_RESOLUTION" value="1920x1080"/>
    <local name="FRONT_CAMERA_RECORDING_MIN_RESOLUTION" value="1280x720"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_3840X2160" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="3968x2232" vdis="true" super-vdis="false" effect="false" object-tracking="false" external-storage-support="true" touch-af="false"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_3840X2160_60FPS" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="3968x2232" vdis="true" super-vdis="false" effect="false" object-tracking="false" external-storage-support="false" touch-af="false"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X1440" value="false" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="3648x2736" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true" touch-af="false"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X1080" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="3968x2232" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true" touch-af="false"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_1920X1080_60FPS" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="3968x2232" vdis="true" super-vdis="false" effect="false" object-tracking="false" external-storage-support="true" touch-af="false"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_1440X1440" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="2736x2736" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true" touch-af="false"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_1440X1152" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="2768x2208" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true" touch-af="false"/>        
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_2000X720" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="3216x1164" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true" touch-af="false"/>    
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_1280X720" value="true" hdr="true" hdr10="false" snapshot-support="true" snapshot-size="3968x2232" vdis="true" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true" touch-af="false"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_640X480" value="false" hdr="true" hdr10="false" snapshot-support="true"  snapshot-size="3264x2448" vdis="false" super-vdis="false" effect="true" object-tracking="false" external-storage-support="true" touch-af="false"/>
    <local name="FRONT_CAMCORDER_RESOLUTION_FEATURE_MAP_176X144" value="true"/>

    <!-- Representative Camcorder Resolution -->
    <local name="REPRESENTATIVE_CAMCORDER_RESOLUTION_FOR_FULL_RATIO" value="1440x1152"/>
    <local name="REPRESENTATIVE_CAMCORDER_RESOLUTION_FOR_SUB_FULL_RATIO" value="2000x720"/>

    <local name="PANORAMA_WIDE_RESOLUTION" value="4000x3000"/>

    <local name="MIN_RECORDING_TIME_TO_ENABLE_LOW_POWER_MODE" value="300"/>

    <!-- Thermistor Temperature - Only JPN used -->
    <local name="FLASH_OVERHEAT_LIMITATION_TEMP" value="545" />

    <!-- Quick launch features -->
    <local name="CAMERA_QUICK_LAUNCH_USING_POWER_KEY" value="true"/>

    <!-- Multi-camera features -->
    <local name="SUPPORT_BACK_DUAL_PORTRAIT" value="true"/>
    <local name="SUPPORT_BACK_WIDE_NORMAL_DUAL_PORTRAIT" value="true"/>
    <local name="SUPPORT_SEAMLESS_ZOOM" value="true"/>
    <local name="SUPPORT_WIDE_LENS_CORRECTION" value="true"/>
    <local name="BACK_WIDE_CAMERA_ID" value="2"/>
    <local name="BACK_TELE_CAMERA_ID" value="52"/>

    <!-- Front dynamic FOV features -->
    <local name="FRONT_DYNAMIC_FOV_CAMERA_ID" value="1"/>
    
    <!-- Shutter LP features -->
    <local name="SUPPORT_TAP_AND_HOLD_CAMERA_BUTTON" value="true" />

    <!-- Intelligent recognition -->
    <local name="SUPPORT_INTELLIGENT_RECOGNITION_TIPS" value="true" />

    <!-- Lens dirty detection -->
    <local name="SUPPORT_LENS_DIRTY_DETECTION" value="true" />

    <!-- Live focus & bokeh -->
    <local name="SUPPORT_LIVE_FOCUS_TORCH_FLASH" value="true"/>
    <local name="SUPPORT_LIVE_FOCUS_HDR_CAPTURE" value="true"/>
    <local name="SUPPORT_LIVE_FOCUS_LENS_TYPE_CHANGE" value="true"/>
    <local name="SUPPORT_DUAL_BOKEH_EFFECT" value="true"/>
    <local name="SUPPORT_SINGLE_BOKEH_EFFECT" value="true"/>
    <local name="SUPPORT_LIVE_FOCUS_VIDEO_BEAUTY" value="true"/>

    <!-- Composition guide -->
    <local name="SUPPORT_COMPOSITION_GUIDE" value="true" />

    <!-- Food feature -->
    <local name="SUPPORT_FOOD_SEAMLESS_ZOOM" value="true"/>

    <!-- Additional effects like live bokeh/motion photo/star effect in labs -->
    <local name="SUPPORT_ADDITIONAL_EFFECTS_WITH_SCENE_DETECTION" value="true" />

    <!-- Live Beauty features -->
    <local name="SUPPORT_BACK_VIDEO_BEAUTY" value="true"/>
    <local name="SUPPORT_BODY_BEAUTY" value="true"/>

    <!-- temporary enable for QC -->
    <local name="SUPPORT_SAVE_AS_FLIPPED_IN_MEDIA_RECORDER" value="true" />

    <!-- HEIF format -->
    <local name="SUPPORT_HEIF_FORMAT" value="true"/>

    <!-- Super Slow Motion features -->
    <local name="SUPPORT_SUPER_SLOW_MOTION_AUTO_DETECT_PREPARE" value="true"/>
    <local name="SUPPORT_SUPER_SLOW_MOTION_FRC_AUTO_CHANGE" value="true"/>
    <local name="SUPPORT_SUPER_SLOW_MOTION_FPS_CHANGEABLE" value="true"/>
    <local name="SUPER_SLOW_MOTION_FRC_TIME_HALF" value="true"/>

    <!-- Etc. feature -->
    <local name="MOTION_PHOTO_RECORDING_FPS" value="30"/>
    <local name="SUPPORT_RECORDING_MULTI_MIC_ZOOM_FOCUS" value="true"/>
    <local name="SUPPORT_AUTO_HDR_MENU" value="true"/>
    <local name="SUPPORT_EXPAND_SHUTTER_SPEED" value="true"/>
    <local name="SUPPORT_VDIS_CENTER_CROP_FOR_PREVIEW_RECORDING" value="true"/>
    <local name="SUPPORT_SWITCH_FACING_WHILE_RECORDING" value="true"/>
    <local name="SUPPORT_SELFIE_TONE_MODE" value="true"/>
    <local name="SUPPORT_QUICK_TAKE" value="true"/>
    <local name="SUPPORT_MY_FILTER" value="true"/>
    <local name="SUPPORT_PHOTO_NIGHT" value="true"/>
    <local name="SUPPORT_TORCH_HIGH_TEMPERATURE_WARNING" value="true"/>
    <local name="SUPPORT_SMART_SCAN_MANUAL_CROP" value="true"/>
    <local name="SUPPORT_LIVE_FOCUS_SCENE_DETECTION_MODE" value="true"/>
    <local name="SHOW_PAUSED_PREVIEW_TO_RESUME_CAMERA" value="true" />
    <local name="DELAY_TIME_TO_RESUME_WHEN_SWITCH_FACING_WHILE_RECORDING" value="250" />
    <local name="SUPPORT_DISPLAY_FRAME_RATE_60HZ" value="true"/>
    <local name="SUPPORT_NIGHT_BEAUTY" value = "true"/>
    <local name="SUPPORT_SMART_SCAN_EXTRACT_TEXT" value="true"/>
    <local name="SUPPORT_NIGHT_CIRCLE_SCREEN_FLASH" value="true"/>
    <local name="DISPLAY_CUTOUT_ANIMATION_INFO" num-of-display-cutout="2" display-cutout-0-type="0" display-cutout-0-left="141.75" display-cutout-0-top="0.25" display-cutout-0-right="178.25" display-cutout-0-bottom="36.75" display-cutout-0-inner-left="144" display-cutout-0-inner-top="2.5" display-cutout-0-inner-right="176" display-cutout-0-inner-bottom="34.5" display-cutout-1-type="0" display-cutout-1-left="491.75" display-cutout-1-top="-1.75" display-cutout-1-right="533.75" display-cutout-1-bottom="40.25" display-cutout-1-inner-left="494" display-cutout-1-inner-top="0.5" display-cutout-1-inner-right="531.5" display-cutout-1-inner-bottom="38" />

    <!-- VDIS+Tracking AF -->
    <local name="SUPPORT_VIDEO_STABILIZATION_WITH_TRACKING_AF" value="true"/>

    <!-- Hyperlapse superstady -->
    <local name="SUPPORT_HYPER_LAPSE_SUPER_STEADY" value="true"/>

    <!-- Hyperlapse night -->
    <local name="SUPPORT_HYPER_LAPSE_NIGHT_AUTO" value="true"/>
    <local name="SUPPORT_FLASH_IN_WIDE_LENS" value="true"/>
    <local name="SUPPORT_TORCH_HIGH_TEMPERATURE_WARNING" value="true"/>

    <!-- new pro/pro video features -->
    <local name="SUPPORT_PRO_AE_PRIORITY_MODE" value="true"/>
    <local name="SUPPORT_HISTOGRAM" value="true"/>
    <local name="SUPPORT_PRO_VIDEO_FOCUS_PEAKING" value="true"/>
    <local name="SUPPORT_PRO_VIDEO_AUDIO_INPUT_CONTROL" value="true"/>
    <local name="SUPPORT_PRO_VIDEO_AUDIO_BLUETOOTH_MIX_MIC" value="true"/>
    <local name="SUPPORT_BACK_WIDE_PRO" value="true"/>
    <local name="SUPPORT_BACK_TELE_PRO" value="true"/>
    <local name="SUPPORT_PRO_COLOR_TUNE_TEMPERATURE" value="true"/>

    <!-- single take features -->
    <local name="SUPPORT_SINGLE_TAKE_EXTENDED_CAPTURE" value="true"/>
    <local name="SINGLE_TAKE_CAPTURE_INTERVAL" value="500"/>
    <local name="SUPPORT_SINGLE_TAKE_CUSTOMIZED_OPTION" value="true"/>
    <local name="SUPPORT_SINGLE_TAKE_HIGHLIGHT_VIDEOS" value="true"/>
    <local name="SINGLE_TAKE_USING_CONTINUOUS_AF" value="true"/>

    <!-- post processing features -->
    <local name="SUPPORT_POST_PICTURE_PROCESSING" value="true"/>
    <local name="SUPPORT_POST_PROCESSING_MOTION_PHOTO" value="true"/>
    <local name="SUPPORT_POST_PROCESSING_NIGHT_SHOT" value="true"/>
    <local name="SUPPORT_POST_PROCESSING_MAX_NIGHT_SHOT" value="true"/>
    <local name="SUPPORT_NIGHT_CAPTURE_STOP" value="true"/>

    <!-- guide line features -->
    <local name="QUICK_SETTING_GUIDE_LINE" value="0.128f" />
    <local name="TOP_GUIDE_LINE" value="0.151f" />
    <local name="BOTTOM_GUIDE_LINE" value="0.642f" />
    <local name="SHUTTER_AREA_GUIDE_LINE" value="0.787f" />
    <local name="SUB_PREVIEW_CREATE_MY_FILTER_TOP_GUIDE_LINE" value="0.61f"/>
    <local name="SUB_PREVIEW_EFFECT_MENU_TOP_GUIDE_LINE" value="0.698f"/>

    <!-- guide line features for foldable devices. the value must be configured to "portrait,landscape" format -->
    <local name="BASE_GUIDELINE_PHONE_SMART_VIEW" bottom="0.672f, 0.672f" quick-setting="0.109f,0.109f" shutter-area="0.7453f, 0.7453f" top="0.109f,0.109f" /> <!-- only 16x9 smart view. this values are common for all project -->
    <local name="BASE_GUIDELINE_TABLET" bottom="1f,1f" quick-setting="0.119f,0.125f" shutter-area="0.943f,0.939f" top="0f,0f" />
    <local name="BASE_GUIDELINE_CAPTURE_VIEW" bottom="0.675f,0.695f" quick-setting="0.109f,0.118f" shutter-area="0.822f,0.777f" top="0.141f,0.125f" />
    <local name="BASE_GUIDELINE_FLEX_VERTICAL" bottom="0.675f,0.5f" quick-setting="0.109f,0.595f" shutter-area="0.822f,0.806f" top="0.141f,0f" />
    <local name="KEY_SCREEN_GUIDELINE_PHONE" bottom-bg="0.718f,0.718f" end="1f,1f" middle="0.5f,0.5f" start="0f,0f" />
    <local name="KEY_SCREEN_GUIDELINE_PHONE_SMART_VIEW" bottom-bg="0.672f, 0.672f" end="1f,1f" middle="0.5f,0.5f" start="0f, 0f" /> <!-- only 16x9 smart view. this values are common for all project -->
    <local name="KEY_SCREEN_GUIDELINE_TABLET" bottom-bg="0.872f,0.85f" end="1f,1f" middle="0.606f,0.5f" start="0f,0f" />
    <local name="KEY_SCREEN_GUIDELINE_CAPTURE_VIEW" bottom-bg="0.755f,0.694f" end="1f,1f" middle="0.5f,0.5f" start="0.5f,0.391f" />
    <local name="KEY_SCREEN_GUIDELINE_FLEX_VERTICAL" bottom-bg="0.755f,0.727f" end="1f,0.948f" middle="0.5f,0.5f" start="0.5f,0.52f" />
    <!-- use to preview rect port(left, right, top, bottom), land(left, right, top, bottom) -->
    <local name="PREVIEW_GUIDELINE_PHONE" cinema="0f,1f,0.144f,0.987f;0.144f,0.987f,0f,1f" full="0f,1f,0f,1f;0f,1f,0f,1f" normal="0f,1f,0.151f,0.6324f;0.151f,0.6324f,0f,1f" square="0f,1f,0.217f,0.578f;0.217f,0.578f,0f,1f" wide="0f,1f,0.128f,0.77f;0.128f,0.77f,0f,1f" />
    <local name="PREVIEW_GUIDELINE_TABLET" cinema="0.232f,0.768f,0f,1f;0f,1f,0.232f,0.768f" full="0f,1f,0f,1f;0f,1f,0f,1f" normal="0.032f,0.968f,0f,1f;0f,1f,0.032f,0.968f" square="0f,1f,0.048f,0.849f;0.048f,0.849f,0f,1f" wide="0.149f,0.851f,0f,1f;0f,1f,0.149f,0.851f" />
    <local name="PREVIEW_GUIDELINE_CAPTURE_VIEW" cinema="0.5f,1f,0f,0.934f;0.391f,1f,0.125f,0.451f" full="0.5f,1f,0.109f,0.61f;0.391f,1f,0.169f,0.777f" normal="0.5f,1f,0.141f,0.675f;0.391f,1f,0.125f,0.695f" square="0.5f,1f,0.208f,0.609f;0.391f,1f,0.148f,0.908f" wide="0.5f,1f,0.109f,0.821f;0.391f,1f,0.168f,0.595f" />
    <local name="PREVIEW_GUIDELINE_FLEX_VERTICAL_PREVIEW_TOP" cinema="0.5f,1f,0f,0.934f;0.033f,0.967f,0f,0.5f" full="0.5f,1f,0.109f,0.61f;0.25f,0.751f,0f,0.5f" normal="0.5f,1f,0.141f,0.675f;0.233f,0.767f,0f,0.5f" square="0.5f,1f,0.208f,0.609f;0.3f,0.701f,0f,0.5f" wide="0.5f,1f,0.109f,0.821f;0.144f,0.856f,0f,0.5f" />
    <local name="PREVIEW_GUIDELINE_FLEX_VERTICAL_PREVIEW_BOTTOM" cinema="0.5f,1f,0f,0.934f;0.029f,0.48f,0.607f,0.848f" full="0.5f,1f,0.109f,0.61f;0.052f,0.457f,0.525f,0.929f" normal="0.5f,1f,0.141f,0.675f;0.038f,0.47f,0.525f,0.929f" square="0.5f,1f,0.208f,0.609f;0.093f,0.416f,0.525f,0.929f" wide="0.5f,1f,0.109f,0.821f;0.029f,0.481f,0.567f,0.885f" />

    <!-- Foldable feature -->
    <local name="SUPPORT_CAPTURE_AND_VIEW" value="true"/>
    <local name="SUPPORT_REAR_SELFIE" value="true" />
    <local name="SUPPORT_RATIO_NUMBER_ICON_INSTEAD_FULL_ICON" value="true" />
    <local name="SUPPORT_VIDEO_AUTO_FRAMING" value="true"/>
    <local name="SUPPORT_VIDEO_AUTO_FRAMING_AUTO_ONLY" value="true"/>
    <local name="SUPPORT_TENT_MODE" value="true" />
    <local name="SUPPORT_DUAL_PREVIEW" value="true"/>
    <local name="DEFAULT_MAIN_SMALLEST_SCREEN_WIDTH_DP" value="673f"/>
    <local name="DEFAULT_SUB_SMALLEST_SCREEN_WIDTH_DP" value="320f"/>

    <!-- camera assistant features -->
    <local name="SUPPORT_CAMERA_ASSISTANT" value="true"/>
    <local name="SUPPORT_CAMERA_ASSISTANT_AUTO_LENS_SWITCHING" value="true"/>
    <local name="SUPPORT_CAMERA_ASSISTANT_FAST_SHUTTER" value="true"/>
    <local name="SUPPORT_CAMERA_ASSISTANT_SOFTEN_PICTURE" value="true"/>
</resources>
